package com.steerinfo.ems.Utils;

/**
 * @ClassName MarketSlmException
 * @Description: 自定义异常
 * @Author yaoxin
 * @Date 2020/5/19
 * @Version V1.0
 */
public class MarketSlmException extends RuntimeException{

    private Integer code;
    public MarketSlmException(ResultEnum resultEnum) {
        super(resultEnum.getMessage());
        this.code = resultEnum.getCode();
    }

    public MarketSlmException(Integer code, String message) {
        super(message);
        this.code = code;
    }

    /**
     * @return the code
     */
    public Integer getCode() {
        return code;
    }
}
